Bug 1511999 - Implement "virsh cpu-baseline" for s390x
Summary: Implement "virsh cpu-baseline" for s390x
Keywords:
Status: CLOSED DUPLICATE of bug 1660904
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libvirt
Version: 8.1
Hardware: s390x
OS: Linux
medium
medium
Target Milestone: rc
: 8.1
Assignee: Jiri Denemark
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 15:38 UTC by David Hildenbrand
Modified: 2019-05-22 05:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-20 00:30:57 UTC
Type: Feature Request
Target Upstream Version:


Attachments (Terms of Use)

Description David Hildenbrand 2017-11-10 15:38:19 UTC
Description of problem:

"virsh cpu-baseline" is currently not implemented.

Steps to Reproduce:
1. Create example.txt with

<cpu>
        <arch>s390x</arch>
        <model>z13-base</model>
</cpu>

2. virsh cpu-baseline example.xml

Actual results:

"error: this function is not supported by the connection driver: cannot compute baseline CPU of s390x architecture"

Expected results:

A baselined CPU model in XML format.

Additional info:

For s390x, we have to baseline using qemu via qmp "query-cpu-model-baseline" to obtain the result. The QEMU part is already implemented. We can baseline two models at a time. Therefore, to baseline N CPU models, we need "N - 1" qmp queries.

Comment 4 Ademar Reis 2019-03-20 00:30:57 UTC

*** This bug has been marked as a duplicate of bug 1660904 ***


Note You need to log in before you can comment on or make changes to this bug.